Search Traces V3
Search for traces with advanced filtering capabilities including assessment-based filtering and enhanced location-based queries. Returns TraceInfoV3 objects with assessments and updated TraceLocation semantics.
curl --request POST \
--url https://mycluster.domino.tech/api/3.0/mlflow/traces/search \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"locations": [
{
"storage_backend": "S3",
"storage_path": "s3://mlflow-traces/experiment-1/"
},
{
"storage_backend": "DATABASE",
"storage_path": "mlflow_traces_db.traces"
}
],
"filter": "trace.status = 'OK' and trace.timestamp_ms > 1711089570679",
"max_results": 123,
"order_by": [
"timestamp_ms DESC"
],
"page_token": "eyJvZmZzZXQiOjEwMCwibGltaXQiOjEwMH0="
}
EOFimport requests
url = "https://mycluster.domino.tech/api/3.0/mlflow/traces/search"
payload = {
"locations": [
{
"storage_backend": "S3",
"storage_path": "s3://mlflow-traces/experiment-1/"
},
{
"storage_backend": "DATABASE",
"storage_path": "mlflow_traces_db.traces"
}
],
"filter": "trace.status = 'OK' and trace.timestamp_ms > 1711089570679",
"max_results": 123,
"order_by": ["timestamp_ms DESC"],
"page_token": "eyJvZmZzZXQiOjEwMCwibGltaXQiOjEwMH0="
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
locations: [
{storage_backend: 'S3', storage_path: 's3://mlflow-traces/experiment-1/'},
{storage_backend: 'DATABASE', storage_path: 'mlflow_traces_db.traces'}
],
filter: 'trace.status = \'OK\' and trace.timestamp_ms > 1711089570679',
max_results: 123,
order_by: ['timestamp_ms DESC'],
page_token: 'eyJvZmZzZXQiOjEwMCwibGltaXQiOjEwMH0='
})
};
fetch('https://mycluster.domino.tech/api/3.0/mlflow/traces/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/3.0/mlflow/traces/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'locations' => [
[
'storage_backend' => 'S3',
'storage_path' => 's3://mlflow-traces/experiment-1/'
],
[
'storage_backend' => 'DATABASE',
'storage_path' => 'mlflow_traces_db.traces'
]
],
'filter' => 'trace.status = \'OK\' and trace.timestamp_ms > 1711089570679',
'max_results' => 123,
'order_by' => [
'timestamp_ms DESC'
],
'page_token' => 'eyJvZmZzZXQiOjEwMCwibGltaXQiOjEwMH0='
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/3.0/mlflow/traces/search"
payload := strings.NewReader("{\n \"locations\": [\n {\n \"storage_backend\": \"S3\",\n \"storage_path\": \"s3://mlflow-traces/experiment-1/\"\n },\n {\n \"storage_backend\": \"DATABASE\",\n \"storage_path\": \"mlflow_traces_db.traces\"\n }\n ],\n \"filter\": \"trace.status = 'OK' and trace.timestamp_ms > 1711089570679\",\n \"max_results\": 123,\n \"order_by\": [\n \"timestamp_ms DESC\"\n ],\n \"page_token\": \"eyJvZmZzZXQiOjEwMCwibGltaXQiOjEwMH0=\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://mycluster.domino.tech/api/3.0/mlflow/traces/search")
.header("Content-Type", "application/json")
.body("{\n \"locations\": [\n {\n \"storage_backend\": \"S3\",\n \"storage_path\": \"s3://mlflow-traces/experiment-1/\"\n },\n {\n \"storage_backend\": \"DATABASE\",\n \"storage_path\": \"mlflow_traces_db.traces\"\n }\n ],\n \"filter\": \"trace.status = 'OK' and trace.timestamp_ms > 1711089570679\",\n \"max_results\": 123,\n \"order_by\": [\n \"timestamp_ms DESC\"\n ],\n \"page_token\": \"eyJvZmZzZXQiOjEwMCwibGltaXQiOjEwMH0=\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/3.0/mlflow/traces/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"locations\": [\n {\n \"storage_backend\": \"S3\",\n \"storage_path\": \"s3://mlflow-traces/experiment-1/\"\n },\n {\n \"storage_backend\": \"DATABASE\",\n \"storage_path\": \"mlflow_traces_db.traces\"\n }\n ],\n \"filter\": \"trace.status = 'OK' and trace.timestamp_ms > 1711089570679\",\n \"max_results\": 123,\n \"order_by\": [\n \"timestamp_ms DESC\"\n ],\n \"page_token\": \"eyJvZmZzZXQiOjEwMCwibGltaXQiOjEwMH0=\"\n}"
response = http.request(request)
puts response.read_body{
"traces": [
{
"trace_id": "<string>",
"trace_location": {
"type": "TRACE_LOCATION_TYPE_UNSPECIFIED",
"mlflow_experiment": {
"experiment_id": "<string>"
},
"inference_table": {
"full_table_name": "<string>"
}
},
"state": "TRACE_STATUS_UNSPECIFIED",
"client_request_id": "<string>",
"request": "{\"x\":1,\"y\":2}",
"response": "3",
"request_preview": "{\"x\":1,\"y\":2}",
"response_preview": "3",
"request_time": "2025-09-03T19:36:13.792Z",
"execution_duration": "0.052s",
"trace_metadata": {
"mlflow.source.name": "sdktest.py",
"mlflow.source.type": "LOCAL",
"mlflow.sourceRun": "5d7bf43a73704e109d3e468842737bd7",
"mlflow.trace.sizeBytes": "1309"
},
"assessments": [
{
"assessment_id": "assessment-67890-fghij",
"assessor_name": "quality_evaluator_v1",
"assessment_type": "QUALITY",
"score": 0.85,
"timestamp_ms": 1640995800000,
"max_score": 1,
"comments": "High quality response with accurate information",
"metadata": {}
}
],
"tags": {
"question_topic": "DBSQL",
"domino.prog.metric.metric": "1",
"domino.prog.label.label": "good"
}
}
],
"next_page_token": "eyJvZmZzZXQiOjIwMCwibGltaXQiOjEwMH0="
}{
"error_code": "INTERNAL_ERROR",
"message": "<string>"
}{
"error_code": "INTERNAL_ERROR",
"message": "<string>"
}Body
Request parameters for searching traces with v3 enhancements
A list of MLflow trace locations to search over
Show child attributes
Show child attributes
[
{
"storage_backend": "S3",
"storage_path": "s3://mlflow-traces/experiment-1/"
},
{
"storage_backend": "DATABASE",
"storage_path": "mlflow_traces_db.traces"
}
]
A filter expression over trace attributes and tags that allows returning a subset of
traces. The syntax is a subset of SQL that supports ANDing together binary operations.
Example: trace.status = 'OK' and trace.timestamp_ms > 1711089570679
"trace.status = 'OK' and trace.timestamp_ms > 1711089570679"
Maximum number of traces desired. Max threshold is 500.
List of columns for ordering the results, e.g. ["timestamp_ms DESC"]. Supported fields: timestamp_ms, execution_time_ms, status
["timestamp_ms DESC"]
Token indicating the page of traces to fetch
"eyJvZmZzZXQiOjEwMCwibGltaXQiOjEwMH0="
Was this page helpful?
curl --request POST \
--url https://mycluster.domino.tech/api/3.0/mlflow/traces/search \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"locations": [
{
"storage_backend": "S3",
"storage_path": "s3://mlflow-traces/experiment-1/"
},
{
"storage_backend": "DATABASE",
"storage_path": "mlflow_traces_db.traces"
}
],
"filter": "trace.status = 'OK' and trace.timestamp_ms > 1711089570679",
"max_results": 123,
"order_by": [
"timestamp_ms DESC"
],
"page_token": "eyJvZmZzZXQiOjEwMCwibGltaXQiOjEwMH0="
}
EOFimport requests
url = "https://mycluster.domino.tech/api/3.0/mlflow/traces/search"
payload = {
"locations": [
{
"storage_backend": "S3",
"storage_path": "s3://mlflow-traces/experiment-1/"
},
{
"storage_backend": "DATABASE",
"storage_path": "mlflow_traces_db.traces"
}
],
"filter": "trace.status = 'OK' and trace.timestamp_ms > 1711089570679",
"max_results": 123,
"order_by": ["timestamp_ms DESC"],
"page_token": "eyJvZmZzZXQiOjEwMCwibGltaXQiOjEwMH0="
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
locations: [
{storage_backend: 'S3', storage_path: 's3://mlflow-traces/experiment-1/'},
{storage_backend: 'DATABASE', storage_path: 'mlflow_traces_db.traces'}
],
filter: 'trace.status = \'OK\' and trace.timestamp_ms > 1711089570679',
max_results: 123,
order_by: ['timestamp_ms DESC'],
page_token: 'eyJvZmZzZXQiOjEwMCwibGltaXQiOjEwMH0='
})
};
fetch('https://mycluster.domino.tech/api/3.0/mlflow/traces/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/3.0/mlflow/traces/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'locations' => [
[
'storage_backend' => 'S3',
'storage_path' => 's3://mlflow-traces/experiment-1/'
],
[
'storage_backend' => 'DATABASE',
'storage_path' => 'mlflow_traces_db.traces'
]
],
'filter' => 'trace.status = \'OK\' and trace.timestamp_ms > 1711089570679',
'max_results' => 123,
'order_by' => [
'timestamp_ms DESC'
],
'page_token' => 'eyJvZmZzZXQiOjEwMCwibGltaXQiOjEwMH0='
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/3.0/mlflow/traces/search"
payload := strings.NewReader("{\n \"locations\": [\n {\n \"storage_backend\": \"S3\",\n \"storage_path\": \"s3://mlflow-traces/experiment-1/\"\n },\n {\n \"storage_backend\": \"DATABASE\",\n \"storage_path\": \"mlflow_traces_db.traces\"\n }\n ],\n \"filter\": \"trace.status = 'OK' and trace.timestamp_ms > 1711089570679\",\n \"max_results\": 123,\n \"order_by\": [\n \"timestamp_ms DESC\"\n ],\n \"page_token\": \"eyJvZmZzZXQiOjEwMCwibGltaXQiOjEwMH0=\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://mycluster.domino.tech/api/3.0/mlflow/traces/search")
.header("Content-Type", "application/json")
.body("{\n \"locations\": [\n {\n \"storage_backend\": \"S3\",\n \"storage_path\": \"s3://mlflow-traces/experiment-1/\"\n },\n {\n \"storage_backend\": \"DATABASE\",\n \"storage_path\": \"mlflow_traces_db.traces\"\n }\n ],\n \"filter\": \"trace.status = 'OK' and trace.timestamp_ms > 1711089570679\",\n \"max_results\": 123,\n \"order_by\": [\n \"timestamp_ms DESC\"\n ],\n \"page_token\": \"eyJvZmZzZXQiOjEwMCwibGltaXQiOjEwMH0=\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/3.0/mlflow/traces/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"locations\": [\n {\n \"storage_backend\": \"S3\",\n \"storage_path\": \"s3://mlflow-traces/experiment-1/\"\n },\n {\n \"storage_backend\": \"DATABASE\",\n \"storage_path\": \"mlflow_traces_db.traces\"\n }\n ],\n \"filter\": \"trace.status = 'OK' and trace.timestamp_ms > 1711089570679\",\n \"max_results\": 123,\n \"order_by\": [\n \"timestamp_ms DESC\"\n ],\n \"page_token\": \"eyJvZmZzZXQiOjEwMCwibGltaXQiOjEwMH0=\"\n}"
response = http.request(request)
puts response.read_body{
"traces": [
{
"trace_id": "<string>",
"trace_location": {
"type": "TRACE_LOCATION_TYPE_UNSPECIFIED",
"mlflow_experiment": {
"experiment_id": "<string>"
},
"inference_table": {
"full_table_name": "<string>"
}
},
"state": "TRACE_STATUS_UNSPECIFIED",
"client_request_id": "<string>",
"request": "{\"x\":1,\"y\":2}",
"response": "3",
"request_preview": "{\"x\":1,\"y\":2}",
"response_preview": "3",
"request_time": "2025-09-03T19:36:13.792Z",
"execution_duration": "0.052s",
"trace_metadata": {
"mlflow.source.name": "sdktest.py",
"mlflow.source.type": "LOCAL",
"mlflow.sourceRun": "5d7bf43a73704e109d3e468842737bd7",
"mlflow.trace.sizeBytes": "1309"
},
"assessments": [
{
"assessment_id": "assessment-67890-fghij",
"assessor_name": "quality_evaluator_v1",
"assessment_type": "QUALITY",
"score": 0.85,
"timestamp_ms": 1640995800000,
"max_score": 1,
"comments": "High quality response with accurate information",
"metadata": {}
}
],
"tags": {
"question_topic": "DBSQL",
"domino.prog.metric.metric": "1",
"domino.prog.label.label": "good"
}
}
],
"next_page_token": "eyJvZmZzZXQiOjIwMCwibGltaXQiOjEwMH0="
}{
"error_code": "INTERNAL_ERROR",
"message": "<string>"
}{
"error_code": "INTERNAL_ERROR",
"message": "<string>"
}